=== modified file 'dotgraph.py'
--- dotgraph.py	2005-09-17 21:39:00 +0000
+++ dotgraph.py	2005-09-20 15:02:04 +0000
@@ -8,6 +8,8 @@
 import shutil
 
 mail_map = {}
+RSVG_OUTPUT_TYPES = ('png', 'jpg')
+DOT_OUTPUT_TYPES = ('svg', 'svgz', 'gif', 'jpg', 'ps', 'fig', 'mif', 'png')
 
 class NoDot(Exception):
     def __init__(self):

=== modified file 'graph.py'
--- graph.py	2005-09-20 14:56:10 +0000
+++ graph.py	2005-09-20 15:02:04 +0000
@@ -1,5 +1,5 @@
 from dotgraph import Node, dot_output, invoke_dot, invoke_dot_aa, NoDot, NoRsvg
-from dotgraph import mail_map
+from dotgraph import mail_map, RSVG_OUTPUT_TYPES, DOT_OUTPUT_TYPES
 from bzrlib.branch import Branch
 from bzrlib.errors import BzrCommandError, NoCommonRoot, NoSuchRevision
 from bzrlib.fetch import greedy_fetch
@@ -18,7 +18,6 @@
                 })
 
 committer_alias = {'abentley': 'Aaron Bentley'}
-
 def add_relations(rev_id):
     if rev_id in ancestors:
         return
@@ -231,7 +230,7 @@
         relations = graph_merge_pick(b, m)
 
     ext = filename.split('.')[-1]
-    if antialias and ext in ('png', 'jpg'):
+    if antialias and ext in RSVG_OUTPUT_TYPES:
         try:
             invoke_dot_aa(dot_output(relations), filename, ext)
         except NoDot, e:
@@ -240,7 +239,7 @@
         except NoRsvg, e:
             raise BzrCommandError("Can't find 'rsvg'.  Please ensure "\
                 "librsvg-bin is installed correctly, or use --noantialias.")
-    elif ext in ('svg', 'svgz', 'gif', 'jpg', 'ps', 'fig', 'mif', 'png'):
+    elif ext in DOT_OUTPUT_TYPES:
         try:
             invoke_dot(dot_output(relations), filename, ext)
         except NoDot, e:

